### Method

# Gcr CertificateExtensionList find_by_oid

unstable since: 4.3.90

#### Declaration [src]

    GcrCertificateExtension*
    gcr_certificate_extension_list_find_by_oid (
      GcrCertificateExtensionList* self,
      const char* oid
    )

#### Description [src]

Looks for an extension with the given OID.

Available since: 4.3.90

#### Parameters

`oid`

  Type: `const char*`

  The OID of the certificate extension.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GcrCertificateExtension`

The certificate extension with the given OID, or `NULL` if not found.

The returned data is owned by the instance.
The return value can be `NULL`.